Subject: [TLS] DTLS 1.2 epoch wrap around

From: Jack Lloyd <[email-masked]>
Date: Fri, 2 Nov 2012 11:49:45 -0400

RFC 6347 section 4.1 says both

"In order to ensure that any given sequence/epoch pair is unique,
implementations MUST NOT allow the same epoch value to be reused
within two times the TCP maximum segment lifetime."

and

"Similarly, implementations MUST NOT allow the epoch to wrap, but
instead MUST establish a new association [...]"

As best I can tell, DTLS v1.0 allows epoch wrapping modulo the MSL
time limit. Is the intent to prohibit epoch wrapping in DTLS v1.2 only
while allowing it in v1.0? Or are there security implications to
allowing the epoch to ever wrap and it should avoided in all versions?

Thanks in advance for any advice.

Regards,
  Jack